Package com.google.javascript.jscomp.graph

# Interface UndiGraph.UndiGraphEdge<N,E>

Type Parameters:
  `N` - Value type that the graph node stores.
  `E` - Value type that the graph edge stores.

All Superinterfaces:
  `Annotatable`, `Graph.GraphEdge<N,E>`

Enclosing class:
  `UndiGraph<N,E>`

public static interface UndiGraph.UndiGraphEdge<N,E> extends Graph.GraphEdge<N,E>
A generic undirected graph edge.

## Method Summary

### Methods inherited from interface com.google.javascript.jscomp.graph.Annotatable

`getAnnotation, setAnnotation`

### Methods inherited from interface com.google.javascript.jscomp.graph.Graph.GraphEdge

`getNodeA, getNodeB, getValue`